# Comment for full releases
#define githash 941e69eda
#define gitdate 20241204

%define major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

%define major_cxx 4
%define libname_cxx %mklibname %{name}++ %{major_cxx}
%define devname_cxx %mklibname -d %{name}++
%define rel		1

Summary:		Control radio transceivers and receivers
Name:			hamlib
Version:		4.6.1
Release:		%mkrel %{?githash: -c %{gitdate}.%{githash}} %{rel}
License:		LGPLv2+
Group:			Communications/Radio
Url:			https://hamlib.sourceforge.net/
# Check for new snapshots at https://n0nb.users.sourceforge.net/
%if %{defined githash}
Source0:		https://n0nb.users.sourceforge.net/%{name}-%{version}~git-%{gitdate}-%{githash}.tar.gz
%else
Source0:		https://github.com/Hamlib/Hamlib/releases/download/%{version}/hamlib-%{version}.tar.gz
%endif

Source1:		rigctld.conf
Source2:		rigctld.service

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool-base
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.23
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(source-highlight)
BuildRequires:	libltdl-devel

%description
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package -n %{libname}
Summary:	Run-time library to control radio transceivers and receivers
Group:		Communications/Radio
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < %{version}-%{release}

%description -n %{libname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package utils
Summary:	Utilities to support the hamlib radio control library
Group:		Communications/Radio
Requires:	%{libname} = %{version}-%{release}

%description utils
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides a command-line utility to test the hamlib library and
to control transceivers if you're short of anything more sophisticated.

%package -n %{devname}
Summary:	Development library to control radio transceivers and receivers
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides the development files and headers.

%package -n %{libname_cxx}
Summary:	Hamlib radio control library C++ binding
Group:		Communications/Radio
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname_cxx}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package contains Hamlib radio control library C++ language binding.

%package -n %{devname_cxx}
Summary:	Hamlib radio control library C++ binding development headers and libraries
Group:		Development/C++
Requires:	%{libname_cxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}
Provides:	lib%{name}++-devel = %{version}-%{release}

%description -n %{devname_cxx}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package contains Hamlib radio control library C++ binding development
headers and libraries for building C++ applications with Hamlib.

%prep
%autosetup -p1 %{?githash:-n %{name}-%{version}~git}

sed -i 's:@PACKAGE_VERSION@:%{version}:' hamlib.pc.in

%build

#./bootstrap #Only if building from git
#automake --add-missing
#aclocal
autoreconf -ivf
%configure \
	--disable-static \
	--without-perl-binding \
	--without-python-binding
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_unitdir}
cp -f %{SOURCE2} %{buildroot}%{_unitdir}/

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check ||:

%files -n %{libname}
%doc AUTHORS ChangeLog PLAN README THANKS
%{_libdir}/libhamlib.so.%{major}{,.*}
%{_libdir}/libhamlib.so

%files -n %{libname_cxx}
%{_libdir}/libhamlib++.so.%{major_cxx}{,.*}

%files utils
%{_mandir}/man*/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rigctld.conf
%{_unitdir}/rigctld.service

%files -n %{devname}
%doc README.developer
%{_defaultdocdir}/%{name}/*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/rig.h
%{_includedir}/%{name}/riglist.h
%{_includedir}/%{name}/rig_dll.h
%{_includedir}/%{name}/rotator.h
%{_includedir}/%{name}/rotlist.h
%{_includedir}/%{name}/ampclass.h
%{_includedir}/%{name}/amplifier.h
%{_includedir}/%{name}/amplist.h
%{_includedir}/%{name}/multicast.h
%{_datadir}/aclocal/hamlib.m4
%{_libdir}/pkgconfig/hamlib.pc
%{_libdir}/libhamlib.so

%files -n %{devname_cxx}
%doc README.developer
%{_libdir}/libhamlib++.so
%{_includedir}/%{name}/rigclass.h
%{_includedir}/%{name}/rotclass.h


%changelog
* Wed Jan 29 2025 barjac <barjac> 4.6.1-1.mga10
+ Revision: 2143178
- new version 4.6.1

* Fri Dec 27 2024 barjac <barjac> 4.6-1.mga10
+ Revision: 2130618
- new version 4.6

* Wed Dec 04 2024 barjac <barjac> 4.6-0.20241204.941e69eda.1.mga10
+ Revision: 2121503
- new version ~git-20241204-941e69eda

* Tue Apr 16 2024 barjac <barjac> 4.6-0.20240313.789d863f9.3.mga10
+ Revision: 2058075
- Edit default config for rigctld

* Sat Mar 16 2024 barjac <barjac> 4.6-0.20240313.789d863f9.2.mga10
+ Revision: 2050096
- Dont kill armv7hl build if a test fails

* Fri Mar 15 2024 barjac <barjac> 4.6-0.20240313.789d863f9.1.mga10
+ Revision: 2050030
- new version 4.6 git snapshot

* Sat Apr 29 2023 barjac <barjac> 4.5.5-1.mga9
+ Revision: 1955386
- new version 4.5.5

* Mon Jan 30 2023 barjac <barjac> 4.5.4-1.mga9
+ Revision: 1936983
- new version 4.5.4

* Mon Jan 09 2023 barjac <barjac> 4.5.3-2.mga9
+ Revision: 1931902
- patch to fix powerstat issue on Kenwood

* Sun Jan 08 2023 barjac <barjac> 4.5.3-1.mga9
+ Revision: 1931516
- new version 4.5.3

* Mon Oct 31 2022 barjac <barjac> 4.5-1.mga9
+ Revision: 1900604
- new version 4.5

* Sun Sep 11 2022 barjac <barjac> 4.5-0.20220911.098d1d8d.1.mga9
+ Revision: 1887203
- new version 4.5 git snapshot for testing

* Fri Apr 01 2022 umeabot <umeabot> 4.4-2.mga9
+ Revision: 1838069
- Mageia 9 Mass Rebuild

* Sat Dec 04 2021 barjac <barjac> 4.4-1.mga9
+ Revision: 1760736
- new release version 4.4

* Thu Nov 25 2021 barjac <barjac> 4.4-0.202111241819.e58db5c.1.mga9
+ Revision: 1759127
- new snapshot fixes kenwood split issues
- rigctld.conf modified to add --vfo
- systemd unit updated for --vfo option
- snapshot version fixed with . and date with minutes
- restart rigctld on-failure

* Mon Oct 18 2021 barjac <barjac> 4.4-0.2021101683b7243.1.mga9
+ Revision: 1752073
- improved unit file and config
- %%config(noreplace)

* Sat Oct 16 2021 barjac <barjac> 4.4-0.2021101683b7243.0.3.mga9
+ Revision: 1751887
- new git snapshot 4.4~git at 83b7243
- add basic systemd unit file and config for rigctld
- set min version for libusb BR and adjust some %%files

* Mon May 17 2021 barjac <barjac> 4.2-2.mga9
+ Revision: 1725293
- new full release 4.2
- cater in spec for both full and snapshot releases

* Thu Feb 04 2021 barjac <barjac> 4.2-0.20210203228cc10a.1.mga8
+ Revision: 1674785
- new version 4.2 snapshot on 20210203

* Sat Oct 31 2020 barjac <barjac> 4.1-0.2020103006cc95de.1.mga8
+ Revision: 1640755
- new version 4.1~git-06cc95de-20201030

* Tue Jun 09 2020 barjac <barjac> 4.0-0.20200608ee670310.1.mga8
+ Revision: 1591412
- new snapshot
- remove redundant configure option
- add make check

* Thu Feb 20 2020 umeabot <umeabot> 4.0-0.20200201e1e6969e.2.mga8
+ Revision: 1546303
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 4.0-0.20200201e1e6969e.1.mga8
+ Revision: 1486346
- new version 4.0~git snapshot
- usa a daily build as releases have dried up
- new major 4
- fix .pc.in to actually work
- fix files lists
- reverse the githash-date from upstream tarball so new releases will update
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 30 2018 barjac <barjac> 3.3-1.mga7
+ Revision: 1326791
- new version 3.3
- update some spec macros

* Sun Sep 23 2018 umeabot <umeabot> 3.2-2.mga7
+ Revision: 1298163
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 barjac <barjac> 3.2-1.mga7
+ Revision: 1220023
- new version 3.2

* Mon Jan 16 2017 barjac <barjac> 3.1-1.mga6
+ Revision: 1082056
- new version 3.1
- fix files list

* Thu Jan 07 2016 barjac <barjac> 3.0.1-1.mga6
+ Revision: 920311
- new version 3.0.1

* Sun Sep 27 2015 barjac <barjac> 3.0-1.mga6
+ Revision: 884089
- new version 3.0
- fix files list

* Wed Oct 15 2014 umeabot <umeabot> 1.2.15.3-7.mga5
+ Revision: 749786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.15.3-6.mga5
+ Revision: 680073
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.15.3-5.mga4
+ Revision: 529508
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1.2.15.3-4.mga4
+ Revision: 452153
- correct br

* Tue Jul 09 2013 fwang <fwang> 1.2.15.3-3.mga4
+ Revision: 452118
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 1.2.15.3-2.mga3
+ Revision: 353078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 barjac <barjac> 1.2.15.3-1.mga3
+ Revision: 316521
- new version 1.2.15.3
- some spec cleaning

* Fri Sep 28 2012 barjac <barjac> 1.2.15.2-2.mga3
+ Revision: 299048
- Changed group to new policy

* Thu Aug 16 2012 fedya <fedya> 1.2.15.2-1.mga3
+ Revision: 281501
- version update 1.2.15.2

* Sun Jun 10 2012 barjac <barjac> 1.2.15.1-1.mga3
+ Revision: 259158
- New version 1.12.15.1

* Thu Feb 09 2012 barjac <barjac> 1.2.15-1.mga2
+ Revision: 206690
- New version 1.2.15
- Removed --with-usrp and other invalid options

* Wed Jan 04 2012 barjac <barjac> 1.2.13.1-1.mga2
+ Revision: 190563
- Spec cleaned
- imported package hamlib


* Sun May 29 2011 Jani Välimaa <wally@mandriva.org> 1.2.13.1-1mdv2011.0
+ Revision: 681719
- new version 1.2.13.1

* Mon Mar 14 2011 Jani Välimaa <wally@mandriva.org> 1.2.13-1
+ Revision: 644611
- add libltdl-devel BR
- new version 1.2.13

* Fri Jan 07 2011 Jani Välimaa <wally@mandriva.org> 1.2.12-4mdv2011.0
+ Revision: 629631
- add boost-devel BR
- build with USRP backend

* Wed Dec 15 2010 Jani Välimaa <wally@mandriva.org> 1.2.12-3mdv2011.0
+ Revision: 621891
- obsolete old hamlib-devel package
- fix provides

* Tue Dec 14 2010 Jani Välimaa <wally@mandriva.org> 1.2.12-2mdv2011.0
+ Revision: 621828
- libify hamlib
- split utils to a separate subpackage
- enable subpackages for c++ binding and c++ binding devel headers and libraries
- clean .spec

  + Thomas Spuhler <tspuhler@mandriva.org>
    - cleaned specfile
    - fixed spelling in description

* Sun Oct 24 2010 Thomas Spuhler <tspuhler@mandriva.org> 1.2.12-1mdv2011.0
+ Revision: 587823
- changed Group to Development/Other
- added autoreconf -fi
- re-aclocaled
- import hamlib

